Skip to content

Profit and loss

GET
/v1/profit-and-lose
curl --request GET \
--url 'https://api-admin.billz.ai/v1/profit-and-lose?start_date=2026-08-01&end_date=2026-08-31&shop_ids=09737a5c-19ee-4eb2-af02-4bdabf8a15e5%2Cb03661ba-731a-4e50-8f37-d220b89d718e&currency=UZS' \
--header 'Authorization: Bearer <token>' \
--header 'accept-language: ru' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Required permissions: “Profit and loss”.

Error codes: 400 — input validation error; 404 — object not found; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.

start_date
string format: date
Example
2026-08-01

Format YYYY-MM-DD, without time

end_date
string format: date
Example
2026-08-31

Format YYYY-MM-DD, without time

shop_ids
Array<string>

If empty — all shops of the company

Example
[
"09737a5c-19ee-4eb2-af02-4bdabf8a15e5",
"b03661ba-731a-4e50-8f37-d220b89d718e"
]
currency
string

Currency of report amounts

Example
UZS
accept-language
string
default: ru

Uz|ru|en, otherwise ru

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platform identifier. A static value is used for integrations.

Successful response

Media typeapplication/json
object
shops

Report data by shop

Array<object>
object
account_id
string
account_name
string
income
object
sale_price

Amounts by period: the key is the period start, total is the total for the whole range

object
total
number
key
additional properties
number
discount

Amounts by period: the key is the period start, total is the total for the whole range

object
total
number
key
additional properties
number
returned_price

Amounts by period: the key is the period start, total is the total for the whole range

object
total
number
key
additional properties
number
net_revenue

Amounts by period: the key is the period start, total is the total for the whole range

object
total
number
key
additional properties
number
total

Amounts by period: the key is the period start, total is the total for the whole range

object
total
number
key
additional properties
number
categories
Array<object>
object
rounding_amount

Amounts by period: the key is the period start, total is the total for the whole range

object
total
number
key
additional properties
number
net_revenue_without_rounding

Amounts by period: the key is the period start, total is the total for the whole range

object
total
number
key
additional properties
number
expense
object
import

Amounts by period: the key is the period start, total is the total for the whole range

object
total
number
key
additional properties
number
write_off

Amounts by period: the key is the period start, total is the total for the whole range

object
total
number
key
additional properties
number
total

Amounts by period: the key is the period start, total is the total for the whole range

object
total
number
key
additional properties
number
margin_profit

Amounts by period: the key is the period start, total is the total for the whole range

object
total
number
key
additional properties
number
margin_profit_percent

Amounts by period: the key is the period start, total is the total for the whole range

object
total
number
key
additional properties
number
categories
Array<object>
object
profit

Amounts by period: the key is the period start, total is the total for the whole range

object
total
number
key
additional properties
number
dates

List of periods that serve as keys of all map fields

Array<string>
Examplegenerated
{
"shops": [
{
"account_id": "example",
"account_name": "example",
"income": {
"sale_price": {
"total": 1
},
"discount": {
"total": 1
},
"returned_price": {
"total": 1
},
"net_revenue": {
"total": 1
},
"total": {
"total": 1
},
"categories": [
{}
],
"rounding_amount": {
"total": 1
},
"net_revenue_without_rounding": {
"total": 1
}
},
"expense": {
"import": {
"total": 1
},
"write_off": {
"total": 1
},
"total": {
"total": 1
},
"margin_profit": {
"total": 1
},
"margin_profit_percent": {
"total": 1
},
"categories": [
{}
]
},
"profit": {
"total": 1
}
}
],
"dates": [
"example"
]
}